package util

import (
	"encoding/csv"
	"fmt"
	"log"
	"os"
	"strconv"
)

func ParseCsv(csvPath string) (timestampString string, xString string, yString string, zString string, hString string) {
	var err error
	// 假设你的 CSV 文件名为 "data.csv"
	csvFile, err := os.Open(csvPath)
	if err != nil {
		log.Fatalf("无法打开文件: %v", err)
	}
	defer csvFile.Close()

	reader := csv.NewReader(csvFile)

	// 读取文件的头部（列名）
	headers, err := reader.Read()
	if err != nil {
		log.Fatalf("无法读取头部: %v", err)
	}
	fmt.Println("Headers:", headers)

	// 读取文件的内容
	records, err := reader.ReadAll()
	if err != nil {
		log.Fatalf("无法读取所有记录: %v", err)
	}
	var timestamp int64
	var x, y, z, h float64
	// 处理每一行记录
	for _, record := range records {
		// 将时间戳和其他字段转换为适当的类型
		timestamp, err = strconv.ParseInt(record[0], 10, 64)
		if err != nil {
			log.Fatalf("无法解析时间戳: %v", err)
		}

		x, err = strconv.ParseFloat(record[1], 64)
		if err != nil {
			log.Fatalf("无法解析 x: %v", err)
		}

		y, err = strconv.ParseFloat(record[2], 64)
		if err != nil {
			log.Fatalf("无法解析 y: %v", err)
		}

		z, err = strconv.ParseFloat(record[3], 64)
		if err != nil {
			log.Fatalf("无法解析 z: %v", err)
		}

		h, err = strconv.ParseFloat(record[4], 64)
		if err != nil {
			log.Fatalf("无法解析 h: %v", err)
		}
		// 打印解析后的数据
	}
	return fmt.Sprintf("%v", timestamp), fmt.Sprintf("%v", x), fmt.Sprintf("%v", y), fmt.Sprintf("%v", z), fmt.Sprintf("%v", h)
}
